class WorkflowInstance < ApplicationRecord
  include Dunlop::WorkflowInstanceModel
  include WorkflowInstance::DataSetup

  # The name by which the workflow instance can be recognized
  def presentation_name
    [id, state].join('-')
  end

  setup_scenarios %i[
  ]

  setup_possible_workflow_steps %i[
  ]

  activate_dunlop!
end
